Assignee:  % Done: 50%

Category: UI Estimated time: 0.20 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

On an issue view page, the other-formats paragraph appears at the bottom of the page, just above the footer through use of

<div style="clear: both;"/>

 On other pages, the other-formats paragraph appears simply as the last element in the #content div.

It doesn't really matter to me which one is used, but I figured consistency would be good, yeah? The following patch puts all at the

bottom through use of relative absolute positioning with the #content div and, consequently, removes the single instance of the clear

div.

### Eclipse Workspace Patch 1.0

#P Redmine

Index: app/views/issues/show.rhtml

===================================================================

--- app/views/issues/show.rhtml    (revision 2338)

+++ app/views/issues/show.rhtml    (working copy)

@@ -99,7 +99,6 @@

 <%= render :partial => 'history', :locals => { :journals => @journals } %>

 </div>

 <% end %>

-<div style="clear: both;"></div>

 <% if authorize_for('issues', 'edit') %>

   <div id="update" style="display:none;">

Index: public/stylesheets/application.css

===================================================================

--- public/stylesheets/application.css    (revision 2352)

+++ public/stylesheets/application.css    (working copy)

@@ -55,7 +55,7 @@

 #sidebar hr{ width: 100%; margin: 0 auto; height: 1px; background: #ccc; border: 0; }

 * html #sidebar hr{ width: 95%; position: relative; left: -6px; color: #ccc; }

-#content { width: 80%; background-color: #fff; margin: 0px; border-right: 1px solid #ddd; padding

: 6px 10px 10px 10px; z-index: 10; }

+#content { width: 80%; background-color: #fff; margin: 0px; border-right: 1px solid #ddd; padding

: 6px 10px 10px 10px; z-index: 10; position: relative; }

 * html #content{ width: 80%; padding-left: 0; margin-top: 0px; padding: 6px 10px 10px 10px;}

 html>body #content { min-height: 600px; } 

 * html body #content { height: 600px; } /* IE */

@@ -308,7 +308,7 @@

 div.attachments img { vertical-align: middle; }

 div.attachments span.author { font-size: 0.9em; color: #888; }

-p.other-formats { text-align: right; font-size:0.9em; color: #666; }

+p.other-formats { text-align: right; font-size:0.9em; color: #666; position: absolute; bottom: 0;

 right: 1em; }

 .other-formats span + span:before { content: "| "; }

 a.atom { background: url(../images/feed.png) no-repeat 1px 50%; padding: 2px 0px 3px 16px; }
History

#1 - 2009-02-19 17:20 - Brad Beattie

- Assignee set to Jean-Philippe Lang

#2 - 2019-02-15 14:27 - Anonymous

Maybe it's safe to close this issue now, because it's obsolete.

1. Seems like it's from the era when views used to be in .rhtml format

2. <div style="clear: both;"></div> line don't exist in show.html.erb already and

<% if authorize_for('issues', 'edit') %>

<div id="update" style="display:none;">

is now a part of a separate file, called _action_menu_edit.html.erb.    

3. " The other-formats paragraph appears at the bottom of the page, just above the footer through use of <div style="clear: both;"/> " It doesn't appear

above footer the way it probably used to anymore and <div style="clear:both;"></div> probably shouldn't actually exist anywhere, because it's

another useless DIV block. It is in base.html.erb now though.

4. It's not a .patch or .diff file people could easily test.

#3 - 2019-02-15 16:00 - Marius BĂLTEANU

- Tracker changed from Patch to Defect

- Status changed from New to Closed

- Assignee deleted (Jean-Philippe Lang)

- Resolution set to Cant reproduce

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

http://www.tcpdf.org

